"""
Verify service identities.
"""

from __future__ import absolute_import, division, print_function

from . import cryptography, pyopenssl
from .exceptions import (
    CertificateError,
    SubjectAltNameWarning,
    VerificationError,
)


__version__ = "21.1.0"

__title__ = "service-identity"
__description__ = "Service identity verification for pyOpenSSL & cryptography."
__url__ = "https://service-identity.readthedocs.io/"
__uri__ = __url__

__author__ = "Hynek Schlawack"
__email__ = "hs@ox.cx"

__license__ = "MIT"
__copyright__ = "Copyright (c) 2014 Hynek Schlawack"


__all__ = [
    "CertificateError",
    "SubjectAltNameWarning",
    "VerificationError",
    "cryptography",
    "pyopenssl",
]
